# Uses of Enum Class
javafx.scene.input.InputMethodHighlight

Packages that use InputMethodHighlight
Package
Description
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of InputMethodHighlight in javafx.scene.input

Methods in javafx.scene.input that return InputMethodHighlight
Modifier and Type
Method
Description
`final InputMethodHighlight`
InputMethodTextRun.`getHighlight()`
Gets the highlight used for displaying this text.
`static InputMethodHighlight`
InputMethodHighlight.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InputMethodHighlight[]`
InputMethodHighlight.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javafx.scene.input with parameters of type InputMethodHighlight
Modifier
Constructor
Description
``
`InputMethodTextRun(String text, InputMethodHighlight highlight)`
Constructs a single text run of an input method.